using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using HCM.BusinessEntities;
using HCM.DataAccess;

namespace HCM.BajaWare.BusinessLogic
{
    public class NumeroAgrupacionLogic
    {
         #region Constructor

        private NumeroAgrupacionDataAccess NumeroAgrupacionDA;

        public NumeroAgrupacionLogic()
        {
            NumeroAgrupacionDA = new NumeroAgrupacionDataAccess();

        }

        #endregion

        #region Obtiene Datos
        /// <summary>
        /// Obtiene la lista de personas
        /// </summary>
        /// <param name="iPersona"></param>
        /// <returns></returns>
        public List<NumeroAgrupacion> ListarNumeroAgrupacion()
        {
            List<NumeroAgrupacion> results = null;
            try
            {

                results = NumeroAgrupacionDA.ListadoNumeroAgrupacion();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

       

        #endregion 
    }
}
